using System;
using System.Drawing;
using System.Diagnostics;
using System.Data;
using Microsoft.VisualBasic;
using System.Collections;
using System.Windows.Forms;

using System.Drawing.Drawing2D;

using Formularios_con_forma;

//FORMULARIO CON FORMA DE ROMBO

namespace Formularios_con_forma
{
	
	public class FormRomboidal : System.Windows.Forms.Form
	{
		
#region  Código generado por el Diseñador de Windows Forms
		
		public FormRomboidal()
		{
			
			//El Diseñador de Windows Forms requiere esta llamada.
			InitializeComponent();
			
			//Agregar cualquier inicialización después de la llamada a InitializeComponent()
			
		}
		
		//Form reemplaza a Dispose para limpiar la lista de componentes.
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (!(ReferenceEquals(components, null)))
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}

        private System.ComponentModel.IContainer components;

        //NOTA: el Diseñador de Windows Forms requiere el siguiente procedimiento
        //Puede modificarse utilizando el Diseñador de Windows Forms.
        //No lo modifique con el editor de código.
        internal System.Windows.Forms.Button BtCerrar;
		internal System.Windows.Forms.ToolTip ToolTip1;
		[System.Diagnostics.DebuggerStepThrough()]private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(FormRomboidal));
            this.BtCerrar = new System.Windows.Forms.Button();
            this.ToolTip1 = new System.Windows.Forms.ToolTip(this.components);
            this.SuspendLayout();
            // 
            // BtCerrar
            // 
            this.BtCerrar.BackColor = System.Drawing.Color.Transparent;
            this.BtCerrar.Cursor = System.Windows.Forms.Cursors.Hand;
            this.BtCerrar.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.BtCerrar.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.BtCerrar.ForeColor = System.Drawing.Color.White;
            this.BtCerrar.Location = new System.Drawing.Point(204, 378);
            this.BtCerrar.Name = "BtCerrar";
            this.BtCerrar.Size = new System.Drawing.Size(80, 33);
            this.BtCerrar.TabIndex = 3;
            this.BtCerrar.Text = "Cerrar";
            this.ToolTip1.SetToolTip(this.BtCerrar, "Sale de la aplicación");
            this.BtCerrar.UseVisualStyleBackColor = true;
            this.BtCerrar.Click += new System.EventHandler(this.BtCerrar_Click);
            // 
            // FormRomboidal
            // 
            this.AcceptButton = this.BtCerrar;
            this.AutoScaleDimensions = new System.Drawing.SizeF(120F, 120F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
            this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
            this.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Stretch;
            this.ClientSize = new System.Drawing.Size(489, 489);
            this.ControlBox = false;
            this.Controls.Add(this.BtCerrar);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.Name = "FormRomboidal";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
            this.Text = "Form2 redondo";
            this.Load += new System.EventHandler(this.F2_Load);
            this.ResumeLayout(false);

		}
		
#endregion
		
		//Formulario en el diseñador de Visual Studio: SIN BORDE PARA MEJOR VISUALIZACIÓN DEL RECORTE
		
		//ACTUAMOS EN EL EVENTO LOAD  DEL FORMULARIO
		private void F2_Load(System.Object sender, System.EventArgs e)
		{
			// Se crea un objeto de la clase GraphicsPath
			// Para determinar cómo se rellena su interior se usa como parámetro un objeto de la emumeración FillMode que tiene 2 miembros:
			// Alternate (por defecto) y Winding. El modo determina cómo se rellena y recorta el interior de una figura cerrada
			GraphicsPath GP = new GraphicsPath(FillMode.Alternate);
            // anchura y altura del área visible del formulario
            int w = this.Width;
            int h = this.Height;
            // Se van añadiendo líneas definidas por su punto x.y de inicio y de final con coordenadas absolutas 
            // calculadas respecto a la ventana visible del formulario.
            // GraphicsPath.AddLine(Int32, Int32, Int32, Int32) agreda un segmento de línea a la figura actual. Parámetros:
            // x1 Int32 coordenada x del punto inicial de la línea, y1 Int32 coordenada y del punto inicial de la línea
            // x2 Int32 coordenada x del extremo de la línea, y2 Int32 coordenada y del extremo de la línea
            // El ancho y alto del formulario es 391px y se utiliza esa medida junto con 1/2 
            // para elegir los puntos de origen y final de las líneas de recorte.
            // Estas medidas además del valor cero se utilizan para dibujar el rombo
            GP.AddLine(0, h/2, w/2, 0);
            GP.AddLine(w/2, 0, w, h/2);
            GP.AddLine(w, h/2, w/2, h);
            GP.AddLine(w/2, h, 0, h/2);
            // Recortar el objeto GraphicsPath con la forma generada por las líneas
            this.Region = new Region(GP);
		}
		
		//Cerrar la ventana
		private void BtCerrar_Click(System.Object sender, System.EventArgs e)
		{
			this.Close();
		}
		
	}
	
	
}
